Package org.apache.sling.commons.log.logback.webconsole

# Interface LogPanel

@ProviderType public interface LogPanel
Interface for the Felix Web Console plugin that displays the current active log bundle configuration

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APP_ROOT`
The app root
`static final String`
`PARAM_APPENDER_NAME`
Request param name for appender name
`static final String`
`PARAM_TAIL_GREP`
Request param capturing the regular expression to search
`static final String`
`PARAM_TAIL_NUM_OF_LINES`
Request param name to control number of lines to include in the log
`static final String`
`PATH_TAILER`
Let the path end with extension.
`static final String`
`RES_LOC`
The base location for UI resources

## Method Summary

Modifier and Type
Method
Description
`void`
`createLoggerConfig(LoggerConfig config)`
Creates a logger configuration
`void`
`deleteLoggerConfig(String pid)`
Deletes a logger configuration
`void`
`render(PrintWriter pw, String consoleAppRoot)`
Renders the logging configuration details to the supplied print writer
`void`
`tail(PrintWriter pw, String appenderName, TailerOptions options)`
Tails the content of the given appender to the supplied print writer

## Field Details

### PARAM_TAIL_NUM_OF_LINES

static final String PARAM_TAIL_NUM_OF_LINES
Request param name to control number of lines to include in the log

See Also:
  - Constant Field Values

### PARAM_APPENDER_NAME

static final String PARAM_APPENDER_NAME
Request param name for appender name

See Also:
  - Constant Field Values

### PARAM_TAIL_GREP

static final String PARAM_TAIL_GREP
Request param capturing the regular expression to search

See Also:
  - Constant Field Values

### PATH_TAILER

static final String PATH_TAILER
Let the path end with extension. In that case WebConsole logic would by pass this request's response completely

See Also:
  - Constant Field Values

### APP_ROOT

static final String APP_ROOT
The app root

See Also:
  - Constant Field Values

### RES_LOC

static final String RES_LOC
The base location for UI resources

See Also:
  - Constant Field Values

## Method Details

### tail

void tail(PrintWriter pw, String appenderName, TailerOptions options) throws IOException
Tails the content of the given appender to the supplied print writer

Parameters:
  `pw` - the print writer to render to
  `appenderName` - the name of the appender to tail
  `options` - the options for what content to include in the output
Throws:
  `IOException` - if any failure rendering the tailed log file

### render

void render(PrintWriter pw, String consoleAppRoot) throws IOException
Renders the logging configuration details to the supplied print writer

Parameters:
  `pw` - the print writer to render to
  `consoleAppRoot` - the app root
Throws:
  `IOException` - if any failure rendering the logging configuration

### deleteLoggerConfig

void deleteLoggerConfig(String pid)
Deletes a logger configuration

Parameters:
  `pid` - the pid of the configuration to delete

### createLoggerConfig

void createLoggerConfig(LoggerConfig config) throws IOException
Creates a logger configuration

Parameters:
  `config` - the configuration details
Throws:
  `IOException` - if any failure applying the logger configuration